Bug 21904 - Patron search library dropdown should be limited by group if "Hide patron info" is enabled for group
Summary: Patron search library dropdown should be limited by group if "Hide patron in...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 18403
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-28 18:35 UTC by Nick Clemens
Modified: 2019-05-27 12:26 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21904: Hide libraries outside of the group in the header (2.06 KB, patch)
2018-12-06 17:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21904: Hide libraries outside of the group in the header (2.20 KB, patch)
2018-12-10 15:16 UTC, Devinim
Details | Diff | Splinter Review
Bug 21904: Add missing PROCESS stt (923 bytes, patch)
2019-02-17 13:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21904: Hide libraries outside of the group in the header (2.25 KB, patch)
2019-02-18 09:46 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21904: Add missing PROCESS stt (978 bytes, patch)
2019-02-18 09:47 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-11-28 18:35:18 UTC
To test:
1 - Create a library group with two libraries
2 - Enable hiding patron info for that group
3 - Find or create a patron at one of those libraries without view_borrower_infos_from_any_libraries permission (but with staff side permission)
4 - Sign in as that staff person
5 - Click 'Patrons'
6 - Click the [+] to expand search options
7 - Set the 'Library' dropdown to a library outside of the group
8 - Search
9 - You get all patrons in the group
Comment 1 Jonathan Druart 2018-12-06 17:00:08 UTC
Created attachment 82923 [details] [review]
Bug 21904: Hide libraries outside of the group in the header

Fix typo

To test:
1 - Create a library group with two libraries
2 - Enable hiding patron info for that group
3 - Find or create a patron at one of those libraries without
view_borrower_infos_from_any_libraries permission (but with staff side
permission)
4 - Sign in as that staff person
5 - Click 'Patrons'
6 - Click the [+] to expand search options
7 - Set the 'Library' dropdown to a library outside of the group
8 - Search
Comment 2 Devinim 2018-12-10 15:16:38 UTC
Created attachment 83018 [details] [review]
Bug 21904: Hide libraries outside of the group in the header

Fix typo

To test:
1 - Create a library group with two libraries
2 - Enable hiding patron info for that group
3 - Find or create a patron at one of those libraries without
view_borrower_infos_from_any_libraries permission (but with staff side
permission)
4 - Sign in as that staff person
5 - Click 'Patrons'
6 - Click the [+] to expand search options
7 - Set the 'Library' dropdown to a library outside of the group
8 - Search

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 3 Katrin Fischer 2019-02-15 07:14:23 UTC
Hi Jonathan, I have a fail in the QA script here:

 FAIL	koha-tmpl/intranet-tmpl/prog/en/includes/patron-search.inc
   OK	  filters
   OK	  forbidden patterns
   OK	  git manipulation
   OK	  js_in_body
   OK	  spelling
   OK	  tt_valid
   FAIL	  valid_template
		options_for_libraries: not found
Comment 4 Jonathan Druart 2019-02-17 13:55:12 UTC
Created attachment 85222 [details] [review]
Bug 21904: Add missing PROCESS stt
Comment 5 Josef Moravec 2019-02-18 09:46:58 UTC
Created attachment 85234 [details] [review]
Bug 21904: Hide libraries outside of the group in the header

Fix typo

To test:
1 - Create a library group with two libraries
2 - Enable hiding patron info for that group
3 - Find or create a patron at one of those libraries without
view_borrower_infos_from_any_libraries permission (but with staff side
permission)
4 - Sign in as that staff person
5 - Click 'Patrons'
6 - Click the [+] to expand search options
7 - Set the 'Library' dropdown to a library outside of the group
8 - Search

Signed-off-by: Nazlı Çetin <nazli@devinim.com.tr>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2019-02-18 09:47:01 UTC
Created attachment 85235 [details] [review]
Bug 21904: Add missing PROCESS stt

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Nick Clemens 2019-02-19 14:35:21 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-02-25 15:31:22 UTC
Pushed to 18.11.x for 18.11.04
Comment 9 Lucas Gass 2019-03-05 23:11:49 UTC
pushed to 18.05.x for 18.05.11